Auto merge rules
Auto merge rules: 5 operations of the ChaosDesk REST API.
- GET
/api/auto_merge_rulesRetrieves the collection of AutoMergeRule resources. - POST
/api/auto_merge_rulesCreates a AutoMergeRule resource. - GET
/api/auto_merge_rules/{id}Retrieves a AutoMergeRule resource. - PATCH
/api/auto_merge_rules/{id}Updates the AutoMergeRule resource. - DELETE
/api/auto_merge_rules/{id}Removes the AutoMergeRule resource.
Retrieves the collection of AutoMergeRule resources.
Responses
200AutoMergeRule collection403Forbidden
Example request
curl -X GET "https://yourcompany.chaosdesk.io/api/auto_merge_rules" \
-H "Authorization: Bearer $CHAOSDESK_TOKEN" \
-H "Accept: application/json" Creates a AutoMergeRule resource.
Request body application/json
conditionsobjectmatch_onstring[]- "subject" and/or "custom_fields.<key>" (an external reference field); any match counts.
window_minutesintegerpublic_commentboolean- Merge comments are public (the requester is told) or internal notes.
merge_asstring | null (iri-reference)required- The agent the merge is recorded as (Zendesk apps run as their installing admin); needs the merge permission.
titlestringrequireddescriptionstring | nullactivebooleanpositioninteger
Responses
201AutoMergeRule resource created400Invalid input403Forbidden422An error occurred
Example request
curl -X POST "https://yourcompany.chaosdesk.io/api/auto_merge_rules" \
-H "Authorization: Bearer $CHAOSDESK_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{"merge_as":"string","title":"string"}' Retrieves a AutoMergeRule resource.
Parameters
idstringpathrequired- AutoMergeRule identifier
Responses
200AutoMergeRule resource403Forbidden404Not found
Example request
curl -X GET "https://yourcompany.chaosdesk.io/api/auto_merge_rules/{id}" \
-H "Authorization: Bearer $CHAOSDESK_TOKEN" \
-H "Accept: application/json" Updates the AutoMergeRule resource.
PATCH/api/auto_merge_rules/{id}
Parameters
idstringpathrequired- AutoMergeRule identifier
Request body application/merge-patch+json
conditionsobjectmatch_onstring[]- "subject" and/or "custom_fields.<key>" (an external reference field); any match counts.
window_minutesintegerpublic_commentboolean- Merge comments are public (the requester is told) or internal notes.
merge_asstring | null (iri-reference)- The agent the merge is recorded as (Zendesk apps run as their installing admin); needs the merge permission.
titlestringdescriptionstring | nullactivebooleanpositioninteger
Responses
200AutoMergeRule resource updated400Invalid input403Forbidden404Not found422An error occurred
Example request
curl -X PATCH "https://yourcompany.chaosdesk.io/api/auto_merge_rules/{id}" \
-H "Authorization: Bearer $CHAOSDESK_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/merge-patch+json" \
-d '{"conditions":"string","match_on":"string"}' Removes the AutoMergeRule resource.
DELETE/api/auto_merge_rules/{id}
Parameters
idstringpathrequired- AutoMergeRule identifier
Responses
204AutoMergeRule resource deleted403Forbidden404Not found
Example request
curl -X DELETE "https://yourcompany.chaosdesk.io/api/auto_merge_rules/{id}" \
-H "Authorization: Bearer $CHAOSDESK_TOKEN" \
-H "Accept: application/json"